Subject: Re: [PATCH v2] doc: change the markup of paragraphs following a nested list item

From: Junio C Hamano <[email-masked]>
Date: Fri, 10 Oct 2025 09:11:16 -0700

Jean-Noël AVILA <[email-masked]> writes:

> On Friday, 3 October 2025 05:41:34 CEST Jeff King wrote:
>> On Thu, Oct 02, 2025 at 11:11:14PM -0400, Jeff King wrote:
>> ...
>> I think to appease both systems we need to put the inner bulleted list
>> inside a block. I think that is OK in this case because there is no
>> inner block marker to worry about. So:
>> 
>> diff --git a/Documentation/config/extensions.adoc
>> b/Documentation/config/extensions.adoc index 49a7598ca5..aaea8c107f 100644
>> --- a/Documentation/config/extensions.adoc
>> +++ b/Documentation/config/extensions.adoc
>> @@ -55,8 +55,9 @@ For historical reasons, this extension is respected 
> regardless of
>> the refStorage:::
>>  	Specify the ref storage format to use. The acceptable values are:
>>  +
>> +--
>>  include::../ref-storage-format.adoc[]
>> -
>> +--
>>  +
>>  Note that this setting should only be set by linkgit:git-init[1] or
>>  linkgit:git-clone[1]. Trying to change it after initialization will not
>> 
>> on top of your patch seems to do the right thing (no change in asciidoc,
>> and eliminating the regression from your patch). It's a little gross
>> because we are reaching across the include to realize that
>> ref-storage-format.adoc contains a list that needs to go into its own
>> block. I wonder if asciidoc implicitly opens a new block for an include
>> but asciidoctor doesn't. But at any rate, this is the only way I could
>> come up with for both to render correctly.
>
> Thank you for cross-checking. This is indeed almost impossible to mechanize 
> such testing at the moment.

Thanks, both.  

So we'd see an update to this (I think this is already in 'next')?